<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<div *ngIf="ready">

  <voting-material-notification [operation]="operation"
                                [operationStatus]="operationStatus"></voting-material-notification>

  <div *ngIf="mode == 'view'">
    <div fxLayout="row wrap" fxLayoutAlign="space-between stretch">
      <register-card [operation]="operation"></register-card>
      <card-title-card [operation]="operation"></card-title-card>
      <printer-card [operation]="operation"></printer-card>
      <testing-cards-lot-card [operation]="operation"
                              [inConfiguration]="false">
      </testing-cards-lot-card>
    </div>
  </div>

  <div *ngIf="mode !== 'view'">
    <edit-with-side-bar>
      <edit-content>
        <div *ngIf="mode == 'list-register'">
          <register-list [operation]="operation"></register-list>
        </div>

        <div *ngIf="mode == 'upload-register'">
          <register-upload #formHolder [operation]="operation"></register-upload>
        </div>

        <div *ngIf="mode == 'voting-card-title'">
          <card-title-edit #formHolder [operation]="operation"></card-title-edit>
        </div>

        <div *ngIf="mode == 'printer'">
          <printer-edit #formHolder [operation]="operation"></printer-edit>
        </div>


        <div *ngIf="mode == 'testing-card-edit-or-create'">
          <testing-cards-lot-details #formHolder></testing-cards-lot-details>
        </div>


        <div *ngIf="mode == 'testing-card-list'">
          <testing-cards-lot-list></testing-cards-lot-list>
        </div>

      </edit-content>
      <side-bar-back-button title="{{ 'operation-management.step.voting-material' | translate }}"
                            [routerLink]="baseRouterLink"></side-bar-back-button>
      <mat-divider></mat-divider>

      <side-bar-item title="{{ 'voting-material.register.card.title' | translate }}"
                     required=true
                     [complete]="registerCompleted"
                     [inError]="registerInError"
                     [locked]="registerInReadOnly | async"
                     [routerLink]="[baseRouterLink , 'register']"></side-bar-item>
      <mat-divider></mat-divider>

      <side-bar-item title="{{ 'voting-material.card-title.card.title' | translate }}"
                     required=true
                     [complete]="votingCardTitleCompleted"
                     [inError]="votingCardTitleInError"
                     [locked]="cardTitleInReadOnly | async"
                     [routerLink]="[baseRouterLink , 'voting-card-title']"></side-bar-item>
      <mat-divider></mat-divider>

      <side-bar-item title="{{ 'voting-material.printer.card.title' | translate }}"
                     required=true
                     [complete]="printerConfigCompleted"
                     [inError]="printerConfigInError"
                     [locked]="printerTemplateInReadOnly | async"
                     [routerLink]="[baseRouterLink , 'printer']"></side-bar-item>

      <mat-divider></mat-divider>

      <testing-cards-lot-side-bar-item ngProjectAs="side-bar-item"
                                       [operation]="operation"
                                       [routerLink]="[baseRouterLink, 'testing-card-lot']"
                                       [inConfiguration]="false"
                                       [locked]="testingCardInReadOnly | async">
      </testing-cards-lot-side-bar-item>

      <mat-divider></mat-divider>

    </edit-with-side-bar>
  </div>


</div>
